Subject: bug#2148: In shell mode, comint-send-input seems to cut off at 254 characters

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Apr 2009 11:47:14 -0400

>> The obvious fix is to not add this ^D.  At least I could never
>> understand what it was supposed to do ("force it though"?  what does
>> that mean?).
> Ah, ok---for some reason, I thought you wrote that code, but on closer
> inspection it was written by Gerd in 2000.

Not close enough: his 2000 patch just changed indentation.  I think the
origin of this problem is:

   revno: 6577
   committer: rms
   branch nick: HEAD
   timestamp: Thu 1994-03-03 05:50:31 +0000
   message:
     Include unistd.h.
     (pty_max_bytes): New variable.
     (send_process): Send an eof after each pty_max_bytes bytes.

And clearly there was a good reason for that.  I don't know enough about
PTY programming to know what we should do.

> The current symptoms don't seem serious enough to risk changing this
> now, so I think we should do it after the release.  WDYT?

Agreed (if at all).

        Stefan